
kerio.waw.ui.httpRuleActionEditor = {

x_m: function(x_n) {
var
x_1d,
x_1c,
x_10,
x_ja,
x_16,
x_9t,
x_2w,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_im = x_r.x_im,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
this.x_ga = x_n; x_2w = this.x_ga + '_';

x_9t = function(x_1c) {
var
x_ws = x_r.x_im,
x_wt = x_1c.x_xp.x_2t();
x_1c.x_xq.x_2k(x_ws.x_in === x_wt);
x_1c.x_xr.x_2k(x_ws.x_up === x_wt);
x_1c.x_xs.x_2k(x_ws.x_xt === x_wt);
x_1c.x_xu.x_2k(x_ws.x_wv === x_wt);
}; x_1d = {
x_5p: x_o,
x_1e: [
{
x_1f: 'x_1i',
x_1o: x_x('Select the action for the rule:', 'httpRuleActionEditor'),
x_1l: true
},
{
x_1j: 'x_xv',
x_1f: 'x_1g',
x_b2: 1,
x_1l: true,
x_1e: [
{
x_1f: 'x_7a',
x_7b: 'x_wt',
x_1s: '<span class="ruleProperties radio">&nbsp; &nbsp; &nbsp;</span>' + x_x('Allow access to the Web site', 'httpRuleActionEditor'),
x_1o: x_im.x_in,
x_7d: true,
x_9t: x_9t
},
{	x_1f: 'x_7a',
x_7b: 'x_wt',
x_1s: '<span class="ruleProperties radio deny">&nbsp; &nbsp; &nbsp;</span>' + x_x('Deny access to the Web site', 'httpRuleActionEditor'),
x_1o: x_im.x_up,
x_9t: x_9t
},
{	x_1f: 'x_7a',
x_7b: 'x_wt',
x_1s: '<span class="ruleProperties radio block">&nbsp; &nbsp; &nbsp;</span>' + x_x('Drop the Web site (show blank page without any text or graphics)', 'httpRuleActionEditor'),
x_1o: x_im.x_xt,
x_9t: x_9t
},
{	x_1f: 'x_7a',
x_7b: 'x_wt',
x_1s: '<span class="ruleProperties radio redirect">&nbsp; &nbsp; &nbsp;</span>' + x_x('Redirect to URL', 'httpRuleActionEditor'),
x_1o: x_im.x_wv,
x_9t: x_9t
}
] }, {
x_1j: 'x_xw',
x_1f: 'x_1g',
x_b2: 1,
x_1l: true,
x_1p: 'radioGroupOptionMarginTop',
x_1e: [
{
x_1f: 'x_1i',
x_1j: 'x_xx',
x_1o: x_x('You can specify additional properties for this action:', 'httpRuleActionEditor')
},
{
x_1j: 'x_xy',
x_1f: 'x_1g',
x_b2: 1,
x_1l: true,
x_1e: [
{
x_1f: 'x_1q',
x_1j: 'x_xz',
x_1s: x_x('Filter out HTML Java applets', 'userEditor')
},
{
x_1f: 'x_1q',
x_1j: 'x_y0',
x_1s: x_x('Filter out HTML ActiveX objects', 'userEditor')
},
{
x_1f: 'x_1q',
x_1j: 'x_y1',
x_1s: x_x('Filter out HTML Script tags', 'userEditor')
},
{
x_1f: 'x_1q',
x_1j: 'x_y2',
x_1s: x_x('Filter out HTML JavaScript pop-up windows', 'userEditor')
},
{
x_1f: 'x_1q',
x_1j: 'x_y3',
x_1s: x_x('Filter out cross-domain referer', 'userEditor')
},
{
x_1f: 'x_1q',
x_1j:   'x_w3',
x_1l: true,
x_1s: x_x('Deny web pages containing forbidden words in HTML code', 'httpRuleActionEditor')
},
{
x_1f: 'x_1q',
x_1j:   'x_y4',
x_1l: true,
x_1s: x_x('Skip anti-virus scanning', 'httpRuleActionEditor')
}
]
}, {
x_1j: 'x_y5',
x_1f: 'x_1g',
x_b2: 1,
x_1l: true,
x_1e: [
{
x_1f: 'x_1i',
x_1j: 'x_y6',
x_1o: x_x('Specify text that will be displayed for the user:', 'httpRuleActionEditor')
},
{
x_1f: 'x_y7',
x_b2: 1,
x_1j: 'x_y8',
x_1v: 60,
x_93: 1023,
x_ge: true
},
{
x_1f: 'x_1q',
x_1j: 'x_y9',
x_1s: x_x('Users can unlock this rule', 'httpRuleActionEditor', 'httpRuleActionEditor'),
x_7d: false
}
]
}, {
x_1j: 'x_ya',
x_1f: 'x_1g',
x_b2: 1,
x_1l: true,
x_1e: [
{
x_1f: 'x_1i',
x_1j: 'x_yb',
x_1o: x_x('No additional properties for the Drop action.', 'httpRuleActionEditor')
}
]
}, {
x_1j: 'x_yc',
x_1f: 'x_1g',
x_b2: 1,
x_1e: [
{
x_1j: 'x_yd',
x_br: 10,
x_1l: false,
x_23: x_x('URL:', 'urlGroupEditor'),
x_93: 127,
x_ge: true,
x_b6: {
x_b7: false
}
}
]
} ] } ] }; x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
x_ja = kerio.lib.x_a1(
{	x_a2: 550,
de: 480,
en: 480,
it: 510,
ja: 480,
pl: 570,
sk: 570,
sv: 480,
zh: 480
});
x_10 = {
x_1u: x_ja,
x_1v: 430,
x_1y: x_x('HTTP Rule - Action and Properties', 'httpRuleActionEditor'),
x_1x: x_1c,

x_mc: function(x_32) {
x_32.x_16.x_iy.call(x_32.x_16);
} }; x_10 = new x_fa.x_md(x_10);
x_16 = new x_1b.x_26(this.x_ga, x_10);
x_1c.x_27({
x_o: x_o,
x_xp: x_1c.x_29('x_wt'),
x_xq: x_1c.x_29('x_xy'),
x_xr: x_1c.x_29('x_y5'),
x_xs: x_1c.x_29('x_ya'),
x_xu: x_1c.x_29('x_yc')
});
x_16.x_27({
x_1c: x_1c,
x_o5: {}
});
this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
var
x_ye,
x_wu,
x_7h = {},
x_47 = x_28.x_47,
x_1c = this.x_1c,
x_ws = x_r.x_im;
this.x_o5 = x_47;
this.x_5d = x_28.x_5d;
x_ye = x_47.denialCondition;
x_wu = x_47.content || {
javaApplet: true,
embedObject: true,
script: true,
popup: true,
referer: true
};
x_7h.x_wt        = (x_ws.x_ur !== x_47.action) ? x_47.action : x_ws.x_in;
x_7h.x_y8        = x_ye.denialText;
x_7h.x_yd       = x_ye.redirectUrl;
x_7h.x_y9 = x_ye.canUnlockRule;

x_7h.x_xz        = x_wu.javaApplet;
x_7h.x_y0       = x_wu.embedObject;
x_7h.x_y1            = x_wu.script;
x_7h.x_y2             = x_wu.popup;
x_7h.x_y3           = x_wu.referer;
x_7h.x_w3    = x_47.denyKeywords;
x_7h.x_y4         = x_47.skipAvScan;
x_1c.x_7k(x_7h);
}; 
x_2b.x_iy = function() {
var
x_ye,
x_wu,
x_7h,
x_o5 = this.x_o5,
x_1c = this.x_1c,
x_3l = this.x_5d;
x_7h = x_1c.x_7i();
x_ye = x_o5.denialCondition;
x_wu = x_o5.content || {
javaApplet: true,
embedObject: true,
script: true,
popup: true,
referer: true
};
x_o5.action                  = x_7h.x_wt;
x_ye.denialText    = x_7h.x_y8;
x_ye.redirectUrl   = x_7h.x_yd;
x_ye.canUnlockRule = x_7h.x_y9;

x_wu.javaApplet            = x_7h.x_xz;
x_wu.embedObject           = x_7h.x_y0;
x_wu.script                = x_7h.x_y1;
x_wu.popup                 = x_7h.x_y2;
x_wu.referer               = x_7h.x_y3;
x_o5.denyKeywords            = x_7h.x_w3;
x_o5.skipAvScan           	= x_7h.x_y4;
this.x_5d.x_hg();
this.x_2r();
x_3l.x_gl(x_o5);
}; 
x_2b.x_jo = function() {
this.x_1c.x_2h();
}; } }; 